/*------------------------------------*\
    #Component for displaying mediathek
\*------------------------------------*/
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}mediathek,
%#{$inuit-namespace}mediathek {
    margin-bottom: $inuit-base-space-vertical-small-only;
    max-width: 100%;
    position: relative;

    @media #{$medium-up} {
        margin-bottom: $inuit-main-stage-space-vertical;
    }

    &__thumbnailstripe {
        display: none;
    }
}

.#{$inuit-namespace}mediathek__item,
%#{$inuit-namespace}mediathek__item {
    margin-bottom: 20px;
    padding: 0;

    .o-media__imageholder {
        background-color: $frs-color-white;
        background-position: center center;
        background-repeat: no-repeat;
        background-size: contain;
        height: 250px;
    }

    &__poster {
        border: 1px solid $frs-color-light-grey;
    }

    &__footer {
        background-color: $white;
        padding-top: 1em;
        width: 100%;
    }

    &__title {
        word-wrap: break-word;
    }

    &--caption {
        display: none;
    }
}
@media screen and (max-width:1024px){
    .c-page-body__column--aside .c-mediathek-element img{
        width:auto;
    }

}
